import request from '@/utils/request'

export function getBloodDialysisPatient(page, limit) {
  const params = {
    page: page,
    limit: limit
  }
  return request({
    url: 'm/api/patient/getbloodDialysisPatient',
    method: 'get',
    params: params
  })
}

export function getAllBloodDialysisPatient(page, limit) {
  const params = {
    page: page,
    limit: limit
  }
  return request({
    url: '/m/api/patient/getallblooddialysispatient',
    method: 'get',
    params: params
  })
}

export function getAllSlowPatient(page, limit) {
  const params = {
    page: page,
    limit: limit
  }
  return request({
    url: '/m/api/patient/getallslowpatient',
    method: 'get',
    params: params
  })
}

export function getAllMemberPatient(page, limit) {
  const params = {
    page: page,
    limit: limit
  }
  return request({
    url: '/m/api/patient/getallmemberpatient',
    method: 'get',
    params: params
  })
}

export function GenerateDialysisNo(params) {
  return request({
    url: '/m/api/patients/generatedialysisnotwo',
    method: 'get',
    params: params
  })
}

export function GetIllnessList(params) {
  return request({
    url: 'm/api/patient/getillnesslist',
    method: 'get',
    params: params
  })
}

export function GetPatientInfo(phone) {
  const params = {
    phone: phone
  }
  return request({
    url: 'm/api/patient/getpatientinfo',
    method: 'get',
    params: params
  })
}

export function savePatient(data) {
  console.log('data', data)
  return request({
    url: '/m/api/patient/savepatient',
    method: 'post',
    data: data
  })
}

export function getPatientDetail(id, params) {
  return request({
    url: '/m/api/patient/getpatientdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function getDoctorAdvices(id, type, startime, endtime, limit, page) {
  const params = {
    id: id,
    type: type,
    startime: startime,
    endtime: endtime,
    limit: limit,
    page: page
  }
  return request({
    url: '/m/api/patient/getdoctoradvices',
    method: 'get',
    params: params
  })
}

export function getDryWeight(id, startime, endtime, limit, page) {
  const params = {
    id: id,
    startime: startime,
    endtime: endtime,
    limit: limit,
    page: page
  }
  return request({
    url: '/m/api/paitent/getdryweight',
    method: 'get',
    params: params
  })
}

export function getBloodDialysisPatientTwo(page, limit) {
  console.log('数据出发了没有')
  console.log('page', page)
  console.log('limit', limit)
  const params = {
    page: page,
    limit: limit
  }
  return request({
    url: 'm/api/patient/getbloodDialysisPatientwo',
    method: 'get',
    params: params
  })
}

export function ToSearch(name) {
  const params = {
    name: name
  }
  return request({
    url: 'm/api/patient/tosearch',
    method: 'get',
    params: params
  })
}

export function getBloodPatientInfo(phone) {
  const params = {
    phone: phone
  }
  return request({
    url: '/m/api/patient/getbloodpatientinfo',
    method: 'get',
    params: params
  })
}

export function getSlowPatientInfo(phone) {
  const params = {
    phone: phone
  }
  return request({
    url: '/m/api/patient/getslowpatientinfo',
    method: 'get',
    params: params
  })
}

export function getMemberPatientInfo(phone) {
  const params = {
    phone: phone
  }
  return request({
    url: '/m/api/patient/getmemberpatientinfo',
    method: 'get',
    params: params
  })
}

export function getCourseManagement(id, limit, page, startime, endtime) {
  const params = {
    id: id,
    limit: limit,
    page: page,
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/m/api/patient/getcoursemanagement',
    method: 'get',
    params: params
  })
}

export function DeleteCouseManage(id, params) {
  return request({
    url: '/m/api/patient/delelecousemanage?id=' + id,
    method: 'delete',
    params: params
  })
}

export function getCouseManagementDetail(id, params) {
  return request({
    url: '/m/api/patient/getcousemanagementdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function DeleteDryWeight(id, params) {
  return request({
    url: '/m/api/patient/deletedryweight?id=' + id,
    method: 'delete',
    params: params
  })
}

export function getDryWeightDetail(id, params) {
  return request({
    url: '/m/api/patient/getdryweightdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function GetLongDialysisRecord(id, limit, page, startime, endtime) {
  const params = {
    id: id,
    limit: limit,
    page: page,
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/m/api/patient/getlongdialysisrecord',
    method: 'get',
    params: params
  })
}

export function GetPatientDetail(id, params) {
  return request({
    url: '/m/api/patient/getpatientdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function getRescueRecord(id, limit, page, startime, endtime) {
  const params = {
    id: id,
    limit: limit,
    page: page,
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/m/api/patient/getrescuerecord',
    method: 'get',
    params: params
  })
}

export function getScheduling(id, limit, page, startime, endtime, mode_types) {
  const params = {
    id: id,
    limit: limit,
    page: page,
    startime: startime,
    endtime: endtime,
    mode_types: mode_types
  }
  return request({
    url: '/m/api/patient/getscheduling',
    method: 'get',
    params: params
  })
}

export function getEducation(id, limit, page, startime, endtime) {
  const params = {
    id: id,
    limit: limit,
    page: page,
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/m/api/patient/geteducation',
    method: 'get',
    params: params
  })
}

export function getSchedulingDetail(id, params) {
  return request({
    url: '/m/api/patient/getschedulingdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function DeleteScheduling(id, params) {
  return request({
    url: '/m/api/patient/deletescheduling?id=' + id,
    method: 'delete',
    params: params
  })
}

export function getEducationDetail(id, params) {
  return request({
    url: '/m/api/patient/geteducationdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function DeleteEducationOne(id, params) {
  return request({
    url: '/m/api/patient/deleteeductionone?id=' + id,
    method: 'delete',
    params: params
  })
}

export function getRescueRecordDetail(id, params) {
  return request({
    url: '/m/api/patient/getrescuerecorddetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function DeleteRescueRecord(id, params) {
  return request({
    url: '/m/api/patient/deleterescuerecord?id=' + id,
    method: 'delete',
    params: params
  })
}

export function toSearchPatient(keyword) {
  const params = {
    keyword: keyword
  }
  return request({
    url: '/m/api/patient/tosearchepatient',
    method: 'get',
    params: params
  })
}

export function SearchAllPatient(keyword) {
  const params = {
    keyword: keyword
  }
  return request({
    url: '/m/api/patient/searchallpatient',
    method: 'get',
    params: params
  })
}

export function SearchAllBlood(keyword) {
  const params = {
    keyword: keyword
  }
  return request({
    url: '/m/api/patient/searchallblood',
    method: 'get',
    params: params
  })
}

export function getSlowSearchPatient(keyword) {
  const params = {
    keyword: keyword
  }
  return request({
    url: '/m/api/patient/getslowsearchepatient',
    method: 'get',
    params: params
  })
}

export function getMemberSearchPatient(keyword) {
  const params = {
    keyword: keyword
  }
  return request({
    url: '/m/api/patient/getmembersearchpatient',
    method: 'get',
    params: params
  })
}
