import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  routes: [{
      path: '/',
      name: 'Home',
      component: () => import('@/pages/home/verifyToken')
    },
    {
      path: '/login',
      name: 'Home',
      component: () => import('@/pages/home/login')
    },
    {
      path: '/nopassword',
      name: 'Home',
      component: () => import('@/pages/home/noPassword')
    },
    {
      path: '/setname',
      name: 'Home',
      component: () => import('@/pages/home/register/name')
    },
    {
      path: '/register',
      name: 'Home',
      component: () => import('@/pages/home/register/register')
    },
    {
      path: '/join',
      name: 'Home',
      component: () => import('@/pages/home/noJoinedGroup')
    },
    {
      path: '/forget',
      name: 'Home',
      component: () => import('@/pages/home/forgetPassword')
    },
    {
      path: '/createorg',
      name: 'Home',
      component: () => import('@/pages/home/createOrg')
    },
    // 首页
    {
      path: '/myIndex',
      name: 'myIndex',
      component: () => import('@/pages/home/index'),
      children: [{
          path: '/homeIndex',
          component: () => import('@/pages/homeIndex/index.vue')
        },
        // 我的
        {
          path: '/newMy',
          name: 'newMy',
          component: () => import('@/pages/my/index')
        }
      ]
    },
    // 患者中心
    {
      path: '/patients',
      name: 'patients',
      component: () => import('@/pages/patientManagement/patientManagement')
    },
    // 新增病人
    {
      path: '/addPatints',
      name: 'addpatients',
      component: () => import('@/pages/patients/addPatient')
    },
    // 全部病程
    {
      path: '/coursedetail',
      name: 'coursedetail',
      component: () => import('@/pages/allCourseManagement/index')
    },
    // 全部干体重
    {
      path: '/dryweight',
      name: 'dryweight',
      component: () => import('@/pages/allDryWeight/index')
    },
    // 基本信息
    {
      path: '/editPatient',
      name: 'editPatient',
      component: () => import('@/pages/patients/editPatient')
    },
    // 全部排班
    {
      path: '/editScheduling',
      name: 'editscheduling',
      component: () => import('@/pages/allScheduling/index')

    },
    // 全部透后宣教
    {
      path: '/editEducation',
      name: 'editeducation',
      component: () => import('@/pages/allEducation/index')

    },
    // 全部抢救记录
    {
      path: '/rescuerecord',
      name: 'rescuerecord',
      component: () => import('@/pages/allRescue/index')

    },
    //
    {
      path: '/patientdetail',
      name: 'patientdetail',
      component: () => import('@/pages/doctorAdvice/index')
    },
    // 搜索
    {
      path: '/search',
      name: 'search',
      component: () => import('@/pages/search/index')
    },
    {
      path: '/product',
      name: 'Product',
      component: () => import('@/pages/product/index')
    },
    {
      path: '/main',
      name: 'main',
      component: () => import('@/pages/main/index')
    },
    {
      path: '/details',
      name: 'details',
      component: () => import('@/pages/main/DetailsPage')
    },
    {
      path: '/monitoring',
      name: 'monitorPage',
      component: () => import('@/pages/monitoring/index')
    },
    {
      path: '/my',
      name: 'my',
      component: () => import('@/pages/personal/index')
    },
    {
      path: '/advice',
      name: 'doctorAdvice',
      component: () => import('@/pages/advice/index')
    },
    {
      path: '/EditPersonal',
      name: 'EditPersonal',
      component: () => import('@/pages/personal/EditPersonal')
    },
    {
      path: '/ElectronicSignature',
      name: 'ElectronicSignature',
      component: () => import('@/pages/personal/ElectronicSignature')
    },
    {
      path: '/Print',
      name: 'Print',
      component: () => import('@/pages/main/PrintIndex')
    },
    {
      path: '/add_urgent_schedule',
      name: 'AddUrgentSchedule',
      component: () => import('@/pages/main/add_urgent_schedule')
    },
    {
      path: '/Prints',
      name: 'Prints',
      component: () => import('@/pages/main/Print')
    },
    {
      path: '/forgetPassword',
      name: 'forgetPassword',
      component: () => import('@/pages/personal/ForgetPassword')
    },
    {
      path: '/changePassword',
      name: 'changePassword',
      component: () => import('@/pages/personal/ChangePassword')
    },
    {
      path: '/privacy',
      name: 'privacy',
      component: () => import('@/pages/privacy/index')
    },
    {
      path: '/userAgreement',
      name: 'userAgreement',
      component: () => import('@/pages/userAgreement/index')
    }
  ]
})
